### Hierarchy

- SessionVisitor

### Implements

- JsonObjectVisitor

## Index

### Constructors

- constructor

### Properties

- _enclosedJsonObject

### Methods

- copyAsJsonObject
- copyAsJsonString
- enclosedJsonObject
- propagateSessionId
- visitId
- visitTenantId
- visitUserId
- visitUserId

## Constructors

### constructor

- new SessionVisitor(value: string | object): SessionVisitor

- - Defined in proxy/SessionVisitor.ts:9

  #### Parameters

  - ##### value: string | object

  #### Returns SessionVisitor

## Properties

### Private _enclosedJsonObject

_enclosedJsonObject: any

- Defined in proxy/SessionVisitor.ts:9

## Methods

### copyAsJsonObject

- copyAsJsonObject(): object

- Implementation of JsonObjectVisitor.copyAsJsonObject

  - Defined in proxy/SessionVisitor.ts:33

  #### Returns object

### copyAsJsonString

- copyAsJsonString(): string

- Implementation of JsonObjectVisitor.copyAsJsonString

  - Defined in proxy/SessionVisitor.ts:37

  #### Returns string

### enclosedJsonObject

- enclosedJsonObject(): any

- Implementation of JsonObjectVisitor.enclosedJsonObject

  - Defined in proxy/SessionVisitor.ts:41

  #### Returns any

### propagateSessionId

- propagateSessionId(sessionId: string): void

- - Defined in proxy/SessionVisitor.ts:47

  #### Parameters

  - ##### sessionId: string

  #### Returns void

### visitId

- visitId(): string

- - Defined in proxy/SessionVisitor.ts:51

  #### Returns string

### visitTenantId

- visitTenantId(): string

- - Defined in proxy/SessionVisitor.ts:55

  #### Returns string

### visitUserId

- visitUserId(): string

- - Defined in proxy/SessionVisitor.ts:59

  #### Returns string

### Static visitUserId

- visitUserId(session: object): string

- - Defined in proxy/SessionVisitor.ts:27

  #### Parameters

  - ##### session: object

  #### Returns string

Generated using TypeDoc